<?php
/**
 * Car Booking functions and definitions
 * @package Car Booking
 */

if ( ! function_exists( 'car_booking_after_theme_support' ) ) :

	function car_booking_after_theme_support() {
		
		add_theme_support( 'automatic-feed-links' );

		add_theme_support(
			'custom-background',
			array(
				'default-color' => 'ffffff',
			)
		);

		$GLOBALS['content_width'] = apply_filters( 'car_booking_content_width', 1140 );
		
		add_theme_support( 'post-thumbnails' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 270,
				'width'       => 90,
				'flex-height' => true,
				'flex-width'  => true,
			)
		);
		
		add_theme_support( 'title-tag' );

        load_theme_textdomain( 'car-booking', get_template_directory() . '/languages' );

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'script',
				'style',
			)
		);

		add_theme_support( 'post-formats', array(
			'video',  
			'audio',  
			'gallery',
			'quote',  
			'image',  
			'link',   
			'status', 
			'aside',  
			'chat',   
		) );
		
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'wp-block-styles' );

		require get_template_directory() . '/inc/metabox.php';
		require get_template_directory() . '/inc/homepage-setup/homepage-setup-settings.php';

		if (! defined( 'CAR_BOOKING_DOCS_PRO' ) ){
		define('CAR_BOOKING_DOCS_PRO',__('https://layout.omegathemes.com/steps/pro-car-booking/','car-booking'));
		}
		if (! defined( 'CAR_BOOKING_BUY_NOW' ) ){
		define('CAR_BOOKING_BUY_NOW',__('https://www.omegathemes.com/products/car-booking-wordpress-theme','car-booking'));
		}
		if (! defined( 'CAR_BOOKING_SUPPORT_FREE' ) ){
		define('CAR_BOOKING_SUPPORT_FREE',__('https://wordpress.org/support/theme/car-booking/','car-booking'));
		}
		if (! defined( 'CAR_BOOKING_REVIEW_FREE' ) ){
		define('CAR_BOOKING_REVIEW_FREE',__('https://wordpress.org/support/theme/car-booking/reviews/#new-post/','car-booking'));
		}
		if (! defined( 'CAR_BOOKING_DEMO_PRO' ) ){
		define('CAR_BOOKING_DEMO_PRO',__('https://layout.omegathemes.com/car-booking/','car-booking'));
		}
		if (! defined( 'CAR_BOOKING_LITE_DOCS_PRO' ) ){
		define('CAR_BOOKING_LITE_DOCS_PRO',__('https://layout.omegathemes.com/steps/free-car-booking/','car-booking'));
		}
		if (! defined( 'CAR_BOOKING_BUNDLE_BUTTON' ) ){
			define('CAR_BOOKING_BUNDLE_BUTTON',__('https://www.omegathemes.com/products/wp-theme-bundle','car-booking'));
		}

	}

endif;

add_action( 'after_setup_theme', 'car_booking_after_theme_support' );

/**
 * Register and Enqueue Styles.
 */
function car_booking_register_styles() {

	wp_enqueue_style( 'dashicons' );

    $car_booking_theme_version = wp_get_theme()->get( 'Version' );
	$car_booking_fonts_url = car_booking_fonts_url();
    if( $car_booking_fonts_url ){
    	require get_theme_file_path( 'lib/custom/css/wptt-webfont-loader.php' );
        wp_enqueue_style(
			'car-booking-google-fonts',
			car_booking_wptt_get_webfont_url( $car_booking_fonts_url ),
			array(),
			$car_booking_theme_version
		);
    }

    wp_enqueue_style( 'swiper', get_template_directory_uri() . '/lib/swiper/css/swiper-bundle.min.css');
	wp_enqueue_style( 'car-booking-style', get_stylesheet_uri(), array(), $car_booking_theme_version );

	wp_enqueue_style( 'car-booking-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/custom_css.php' );
	wp_add_inline_style( 'car-booking-style',$car_booking_custom_css );

	$car_booking_css = '';

	if ( get_header_image() ) :

		$car_booking_css .=  '
			.header-navbar{
				background-image: url('.esc_url(get_header_image()).');
				-webkit-background-size: cover !important;
				-moz-background-size: cover !important;
				-o-background-size: cover !important;
				background-size: cover !important;
			}';

	endif;

	wp_add_inline_style( 'car-booking-style', $car_booking_css );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'imagesloaded' );
    wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'swiper', get_template_directory_uri() . '/lib/swiper/js/swiper-bundle.min.js', array('jquery'), '', 1);
	wp_enqueue_script( 'car-booking-custom', get_template_directory_uri() . '/lib/custom/js/theme-custom-script.js', array('jquery'), '', 1);

    // Global Query
    if( is_front_page() ){

    	$car_booking_posts_per_page = absint( get_option('posts_per_page') );
        $car_booking_c_paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
        $car_booking_posts_args = array(
            'posts_per_page'        => $car_booking_posts_per_page,
            'paged'                 => $car_booking_c_paged,
        );
        $posts_qry = new WP_Query( $car_booking_posts_args );
        $max = $posts_qry->max_num_pages;

    }else{
        global $wp_query;
        $max = $wp_query->max_num_pages;
        $car_booking_c_paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
    }

    $car_booking_default = car_booking_get_default_theme_options();
    $car_booking_pagination_layout = get_theme_mod( 'car_booking_pagination_layout',$car_booking_default['car_booking_pagination_layout'] );
}

add_action( 'wp_enqueue_scripts', 'car_booking_register_styles',200 );

function car_booking_admin_enqueue_scripts_callback() {
    if ( ! did_action( 'wp_enqueue_media' ) ) {
    wp_enqueue_media();
    }
    wp_enqueue_script('car-booking-uploaderjs', get_stylesheet_directory_uri() . '/lib/custom/js/uploader.js', array(), "1.0", true);
}
add_action( 'admin_enqueue_scripts', 'car_booking_admin_enqueue_scripts_callback' );

/**
 * Register navigation menus uses wp_nav_menu in five places.
 */
function car_booking_menus() {

	$car_booking_locations = array(
		'car-booking-primary-menu'  => esc_html__( 'Primary Menu', 'car-booking' ),
	);

	register_nav_menus( $car_booking_locations );
}

add_action( 'init', 'car_booking_menus' );

add_filter('loop_shop_columns', 'car_booking_loop_columns');
if (!function_exists('car_booking_loop_columns')) {
	function car_booking_loop_columns() {
		$car_booking_columns = get_theme_mod( 'car_booking_per_columns', 3 );
		return $car_booking_columns;
	}
}

add_filter( 'loop_shop_per_page', 'car_booking_per_page', 20 );
function car_booking_per_page( $car_booking_cols ) {
  	$car_booking_cols = get_theme_mod( 'car_booking_product_per_page', 9 );
	return $car_booking_cols;
}

function car_booking_products_args( $car_booking_args ) {

    $car_booking_args['posts_per_page'] = get_theme_mod( 'car_booking_custom_related_products_number', 6 );

    $car_booking_args['columns'] = get_theme_mod( 'car_booking_custom_related_products_number_per_row', 3 );

    return $car_booking_args;
}

require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/classes/class-svg-icons.php';
require get_template_directory() . '/classes/class-walker-menu.php';
require get_template_directory() . '/inc/customizer/customizer.php';
require get_template_directory() . '/inc/custom-functions.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/classes/body-classes.php';
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/pagination.php';
require get_template_directory() . '/lib/breadcrumbs/breadcrumbs.php';
require get_template_directory() . '/lib/custom/css/dynamic-style.php';
require get_template_directory() . '/inc/general.php';


function car_booking_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'display_header_text' );
    $wp_customize->remove_control( 'display_header_text' );

}

add_action( 'customize_register', 'car_booking_remove_customize_register', 11 );

function car_booking_radio_sanitize(  $car_booking_input, $car_booking_setting  ) {
	$car_booking_input = sanitize_key( $car_booking_input );
	$car_booking_choices = $car_booking_setting->manager->get_control( $car_booking_setting->id )->choices;
	return ( array_key_exists( $car_booking_input, $car_booking_choices ) ? $car_booking_input : $car_booking_setting->default );
}

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// NOTICE FUNCTION

function car_booking_admin_notice() { 
    global $pagenow;
    $theme_args = wp_get_theme();
    $meta = get_option( 'car_booking_admin_notice' );
    $name = $theme_args->get( 'Name' );
    $current_screen = get_current_screen();

    if ( ! $meta ) {
        if ( is_network_admin() ) {
            return;
        }

        if ( ! current_user_can( 'manage_options' ) ) {
            return;
        }

        if ( $current_screen->base != 'appearance_page_carbooking-wizard' ) {
            ?>
            <div class="notice notice-success notice-content">
                <h2><?php esc_html_e('Welcome! Thank you for choosing Car Booking. Let’s Set Up Your Website!', 'car-booking') ?> </h2>
                <p><?php esc_html_e('Before you dive into customization, let’s go through a quick setup process to ensure everything runs smoothly. Click below to start setting up your website in minutes!', 'car-booking') ?> </p>
                <div class="info-link">
                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=carbooking-wizard' ) ); ?>"><?php esc_html_e('Get Started with Car Booking', 'car-booking'); ?></a>
					<a target="_blank" href="<?php echo esc_url( CAR_BOOKING_BUNDLE_BUTTON ); ?>" class="notice-bundle"><?php esc_html_e('Get All WP Themes', 'car-booking'); ?></a>
                </div>
                <p class="dismiss-link"><strong><a href="?car_booking_admin_notice=1"><?php esc_html_e( 'Dismiss', 'car-booking' ); ?></a></strong></p>
            </div>
            <?php
        }
    }
}
add_action( 'admin_notices', 'car_booking_admin_notice' );

if ( ! function_exists( 'car_booking_update_admin_notice' ) ) :
/**
 * Updating admin notice on dismiss
 */
function car_booking_update_admin_notice() {
    if ( isset( $_GET['car_booking_admin_notice'] ) && $_GET['car_booking_admin_notice'] == '1' ) {
        update_option( 'car_booking_admin_notice', true );
    }
}
endif;
add_action( 'admin_init', 'car_booking_update_admin_notice' );

// After Switch theme function
add_action( 'after_switch_theme', 'car_booking_getstart_setup_options' );
function car_booking_getstart_setup_options() {
    update_option( 'car_booking_admin_notice', false );
}